from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import CategoryViewSet, TeacherViewSet, TeachingCenterViewSet, ProjectViewSet, CouponViewSet, BannerViewSet, StudentViewSet, StudentCouponViewSet, StudentProjectViewSet, StudentHonorViewSet, StudentShowcaseViewSet, UserProfileView, UserCouponsView, UserProjectsView, UserHonorsView, LoginView, UserPhoneView, DashboardStatsView, AvailableCouponsView, NotificationViewSet, NotificationBatchViewSet

router = DefaultRouter()
router.register(r'categories', CategoryViewSet)
router.register(r'teachers', TeacherViewSet)
router.register(r'teaching-centers', TeachingCenterViewSet)
router.register(r'projects', ProjectViewSet)
router.register(r'coupons', CouponViewSet)
router.register(r'banners', BannerViewSet)
router.register(r'students', StudentViewSet)
router.register(r'student-coupons', StudentCouponViewSet)
router.register(r'student-projects', StudentProjectViewSet)
router.register(r'student-honors', StudentHonorViewSet)
router.register(r'student-showcases', StudentShowcaseViewSet)
router.register(r'notifications', NotificationViewSet, basename='notification')
router.register(r'notification-batches', NotificationBatchViewSet, basename='notification-batch')

urlpatterns = [
    path('', include(router.urls)),
    path('auth/login/', LoginView.as_view()),
    path('dashboard/stats/', DashboardStatsView.as_view()),
    path('user/', UserProfileView.as_view()),
    path('user/phone/', UserPhoneView.as_view()),
    path('user-coupons/', UserCouponsView.as_view()),
    path('available-coupons/', AvailableCouponsView.as_view()),
    path('user-projects/', UserProjectsView.as_view()),
    path('user-honors/', UserHonorsView.as_view()),
]
